%define dist bignum
Name: perl-%dist
Version: 0.20
Release: alt1

Summary: Transparent BigNumber support for Perl
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
Source: %dist-%version-%release.tar

BuildArch: noarch
BuildPreReq: perl-Math-BigInt >= 1.82
Requires: perl >= 1:5.8.6

# Automatically added by buildreq on Tue Apr 10 2007
BuildRequires: perl-Math-BigRat perl-Module-Install perl-Test-Pod

%description
This package attempts to make it easier to write perl scripts that
use big numbers.  Math::BigInt, Math::BigFloat, and Math::BigRat
modules are used in a transparent way.

bigint - Transparent BigInteger support
bignum - Transparent BigNumber support
bigrat - Transparent BigNumber/BigRational support

%prep
%setup -q -n %dist-%version-%release
rm -rv inc Build.PL

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc	BUGS CHANGES README
%dir	%perl_vendor_privlib/Math
%dir	%perl_vendor_privlib/Math/BigInt
	%perl_vendor_privlib/Math/BigInt/Trace.pm
%dir	%perl_vendor_privlib/Math/BigFloat
	%perl_vendor_privlib/Math/BigFloat/Trace.pm
	%perl_vendor_privlib/bigint.pm
	%perl_vendor_privlib/bignum.pm
	%perl_vendor_privlib/bigrat.pm

%changelog
* Tue Apr 10 2007 Alexey Tourbin <at@altlinux.ru> 0.20-alt1
- 0.19 -> 0.20

* Wed Apr 04 2007 Alexey Tourbin <at@altlinux.ru> 0.19-alt1
- 0.17 -> 0.19

* Tue Apr 12 2005 Alexey Tourbin <at@altlinux.ru> 0.17-alt1
- 0.16 -> 0.17

* Thu Jan 06 2005 Alexey Tourbin <at@altlinux.ru> 0.16-alt1
- 0.15 -> 0.16

* Wed Dec 15 2004 Alexey Tourbin <at@altlinux.ru> 0.15-alt1
- initial revision (split from perl-base)
